<?php
/*
The comments page for wpcleangreen
*/

// don't load it if you can't comment
if ( post_password_required() ) {
  return;
}

?>

<?php // You can start editing here. ?>

  <?php if ( have_comments() ) : ?>

    <div class="add-info comment-title"><span><?php comments_number( __( 'No Comments', 'wp-clean-green' ), __( '1 Comment', 'wp-clean-green' ), _n( '% Comments', '% Comments', get_comments_number(), 'wp-clean-green' ) );?></span></div>

    <section class="commentlist">
      <?php
        wp_list_comments( array(
          'style'             => 'div',
          'short_ping'        => true,
          'avatar_size'       => 40,
          'callback'          => 'wpcleangreen_comments',
          'type'              => 'all',
          'reply_text'        => '<span class="fa fa-reply"></span> Reply',
          'page'              => '',
          'per_page'          => '',
          'reverse_top_level' => null,
          'reverse_children'  => ''
        ) );
      ?>
    </section>

    <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
    	<nav class="navigation comment-navigation" role="navigation">
      	<div class="comment-nav-prev"><?php previous_comments_link( __( '&larr; Previous Comments', 'wp-clean-green' ) ); ?></div>
      	<div class="comment-nav-next"><?php next_comments_link( __( 'More Comments &rarr;', 'wp-clean-green' ) ); ?></div>
    	</nav>
    <?php endif; ?>

    <?php if ( ! comments_open() ) : ?>
    	<p class="no-comments"><?php _e( 'Comments are closed.' , 'wp-clean-green' ); ?></p>
    <?php endif; ?>

  <?php endif; ?>

<?php 
  $commenter = wp_get_current_commenter();
  $req = get_option( 'require_name_email' );
  $aria_req = ( $req ? " aria-required='true'" : '' );
  $fields =  array(
    'author' =>
    '<p class="comment-form-author"><label for="author">' . __( '', 'wp-clean-green' ) . '</label> ' .
    ( $req ? '' : '' ) .
    '<input id="author" name="author" type="text" placeholder="'. __( 'Name', 'wp-clean-green' ) .'" value="' . esc_attr( $commenter['comment_author'] ) .
    '" size="30"' . $aria_req . ' /></p>',

    'email' =>
    '<p class="comment-form-email"><label for="email">' . __( '', 'wp-clean-green' ) . '</label> ' .
    ( $req ? '' : '' ) .
    '<input id="email" name="email" type="text" placeholder="'. __( 'Email', 'wp-clean-green' ) .'" value="' . esc_attr(  $commenter['comment_author_email'] ) .
    '" size="30"' . $aria_req . ' /></p>',

    'url' =>
    '<p class="comment-form-url"><label for="url">' . __( '', 'wp-clean-green' ) . '</label>' .
    '<input id="url" name="url" type="text" placeholder="'. __( 'Website', 'wp-clean-green' ) .'"  value="' . esc_attr( $commenter['comment_author_url'] ) .
    '" size="30" /></p>',
  );
  
  $comments_args = array(
    // change the title of send button 
    'fields'=>$fields,
    'label_submit'=>'Send',
    // change the title of the reply section
    'title_reply'=>'<span class="add-info comment-title"><span>Leave a Reply</span></span>',
    // remove "Text or HTML to be displayed after the set of comment fields"
    'comment_notes_after' => '',
    // redefine your own textarea (the comment body)
    'comment_field' => '<p class="comment-form-comment"><label for="comment"></label><textarea id="comment" name="comment" aria-required="true" placeholder="Comment"></textarea></p>',
  );
comment_form($comments_args); ?>